#!/bin/bash

# AAPP and OPS-LRS processing for Metop Level 0 

# Setup 
input_dir=$1
mkdir output
mkdir work
export WRK=$PWD/work

# AVHRR and ATOVS
list="AVHRR AMSU-A MHS HIRS"
for item in $list; do AAPP_RUN_METOP -i $item -g " " -d $input_dir -o $PWD/output; done

# IASI
i=$(date +%N | cut -c1-3 | bc)
export ADR_MSG_SERVER_PORT_BASE=$((4000+$i))
export APP_OPSIASI_PORT_BASE=$((6000+$i))
AAPP_RUN_METOP -i "AVHRR IASI" -g " " -d $input_dir -o $PWD/output
cp -pv $WRK/M0?/.keep/*/to_pgf/IASI_xxx_1C_M0?_201* $PWD/output
