#!/bin/bash

# Run Metop Level-0 processing in Singularity container

# Set AAPP version and container name
VERSION=8.4
CONTAINER=aapp_${VERSION}.simg

# Get arguments
metop_file=$1
metop_code=$2
metop_file=$(readlink -f $metop_file)

# Create temporary directory
start_dir=$PWD
temp_dir=$(mktemp -d -p $PWD)
cd $temp_dir
mkdir input

# Run processing script in Singularity container
export SINGULARITY_BINDPATH="$PWD:/mnt,$AAPP_DIR/scripts/metop_ccsds_to_eps.bash,$metop_file"
singularity run $AAPP_DIR/$CONTAINER $AAPP_DIR/scripts/metop_ccsds_to_eps.bash $metop_file $metop_code

# Clean up
cd $start_dir
mv $temp_dir/input $PWD 
rm -rf $temp_dir
